Search or ask Docker

ContainerSummary

ContainerSummary schema in Docker Engine API 1.57.

View Markdown

Schema

Type: object

Command

Type: string

Command to run when starting the container
All schema constraints and annotations
{
  "description": "Command to run when starting the container",
  "example": "/bin/bash",
  "type": "string"
}
Created

Type: integer

Date and time at which the container was created as a Unix timestamp (number of seconds since EPOCH).
All schema constraints and annotations
{
  "description": "Date and time at which the container was created as a Unix timestamp\n(number of seconds since EPOCH).",
  "example": "1739811096",
  "format": "int64",
  "type": "integer"
}
Health

Type: object

Summary of health status

Added in v1.52, before that version all container summary not include Health. After this attribute introduced, it includes containers with no health checks configured, or containers that are not running with none

FailingStreak

Type: integer

FailingStreak is the number of consecutive failures
All schema constraints and annotations
{
  "description": "FailingStreak is the number of consecutive failures",
  "example": 0,
  "type": "integer"
}
Status

Type: string

the health status of the container
All schema constraints and annotations
{
  "description": "the health status of the container",
  "enum": [
    "none",
    "starting",
    "healthy",
    "unhealthy"
  ],
  "example": "healthy",
  "type": "string"
}
All schema constraints and annotations
{
  "description": "Summary of health status\n\nAdded in v1.52, before that version all container summary not include Health.\nAfter this attribute introduced, it includes containers with no health checks configured,\nor containers that are not running with none",
  "properties": {
    "FailingStreak": {
      "description": "FailingStreak is the number of consecutive failures",
      "example": 0,
      "type": "integer"
    },
    "Status": {
      "description": "the health status of the container",
      "enum": [
        "none",
        "starting",
        "healthy",
        "unhealthy"
      ],
      "example": "healthy",
      "type": "string"
    }
  },
  "type": "object"
}
HostConfig

Type: object

Summary of host-specific runtime information of the container. This is a reduced set of information in the container's "HostConfig" as available in the container "inspect" response.
Annotations

Type: object

Arbitrary key-value metadata attached to the container.
All schema constraints and annotations
{
  "additionalProperties": {
    "type": "string"
  },
  "description": "Arbitrary key-value metadata attached to the container.",
  "example": {
    "io.kubernetes.docker.type": "container",
    "io.kubernetes.sandbox.id": "3befe639bed0fd6afdd65fd1fa84506756f59360ec4adc270b0fdac9be22b4d3"
  },
  "type": "object",
  "x-nullable": true
}
NetworkMode

Type: string

Networking mode (host, none, container:<id>) or name of the primary network the container is using.

This field is primarily for backward compatibility. The container can be connected to multiple networks for which information can be found in the NetworkSettings.Networks field, which enumerates settings per network.

All schema constraints and annotations
{
  "description": "Networking mode (`host`, `none`, `container:\u003cid\u003e`) or name of the\nprimary network the container is using.\n\nThis field is primarily for backward compatibility. The container\ncan be connected to multiple networks for which information can be\nfound in the `NetworkSettings.Networks` field, which enumerates\nsettings per network.",
  "example": "mynetwork",
  "type": "string"
}
All schema constraints and annotations
{
  "description": "Summary of host-specific runtime information of the container. This\nis a reduced set of information in the container's \"HostConfig\" as\navailable in the container \"inspect\" response.",
  "properties": {
    "Annotations": {
      "additionalProperties": {
        "type": "string"
      },
      "description": "Arbitrary key-value metadata attached to the container.",
      "example": {
        "io.kubernetes.docker.type": "container",
        "io.kubernetes.sandbox.id": "3befe639bed0fd6afdd65fd1fa84506756f59360ec4adc270b0fdac9be22b4d3"
      },
      "type": "object",
      "x-nullable": true
    },
    "NetworkMode": {
      "description": "Networking mode (`host`, `none`, `container:\u003cid\u003e`) or name of the\nprimary network the container is using.\n\nThis field is primarily for backward compatibility. The container\ncan be connected to multiple networks for which information can be\nfound in the `NetworkSettings.Networks` field, which enumerates\nsettings per network.",
      "example": "mynetwork",
      "type": "string"
    }
  },
  "type": "object"
}
Id

Type: string

The ID of this container as a 128-bit (64-character) hexadecimal string (32 bytes).
All schema constraints and annotations
{
  "description": "The ID of this container as a 128-bit (64-character) hexadecimal string (32 bytes).",
  "example": "aa86eacfb3b3ed4cd362c1e88fc89a53908ad05fb3a4103bca3f9b28292d14bf",
  "maxLength": 64,
  "minLength": 64,
  "pattern": "^[0-9a-fA-F]{64}$",
  "type": "string",
  "x-go-name": "ID"
}
Image

Type: string

The name or ID of the image used to create the container.

This field shows the image reference as was specified when creating the container, which can be in its canonical form (e.g., docker.io/library/ubuntu:latest or docker.io/library/ubuntu@sha256:72297848456d5d37d1262630108ab308d3e9ec7ed1c3286a32fe09856619a782), short form (e.g., ubuntu:latest)), or the ID(-prefix) of the image (e.g., 72297848456d).

The content of this field can be updated at runtime if the image used to create the container is untagged, in which case the field is updated to contain the the image ID (digest) it was resolved to in its canonical, non-truncated form (e.g., sha256:72297848456d5d37d1262630108ab308d3e9ec7ed1c3286a32fe09856619a782).

All schema constraints and annotations
{
  "description": "The name or ID of the image used to create the container.\n\nThis field shows the image reference as was specified when creating the container,\nwhich can be in its canonical form (e.g., `docker.io/library/ubuntu:latest`\nor `docker.io/library/ubuntu@sha256:72297848456d5d37d1262630108ab308d3e9ec7ed1c3286a32fe09856619a782`),\nshort form (e.g., `ubuntu:latest`)), or the ID(-prefix) of the image (e.g., `72297848456d`).\n\nThe content of this field can be updated at runtime if the image used to\ncreate the container is untagged, in which case the field is updated to\ncontain the the image ID (digest) it was resolved to in its canonical,\nnon-truncated form (e.g., `sha256:72297848456d5d37d1262630108ab308d3e9ec7ed1c3286a32fe09856619a782`).",
  "example": "docker.io/library/ubuntu:latest",
  "type": "string"
}
ImageID

Type: string

The ID (digest) of the image that this container was created from.
All schema constraints and annotations
{
  "description": "The ID (digest) of the image that this container was created from.",
  "example": "sha256:72297848456d5d37d1262630108ab308d3e9ec7ed1c3286a32fe09856619a782",
  "type": "string"
}
ImageManifestDescriptor

Schema: OCIDescriptor

OCI descriptor of the platform-specific manifest of the image the container was created from.

Note: Only available if the daemon provides a multi-platform image store.

This field is not populated in the GET /system/df endpoint.

All schema constraints and annotations
{
  "$ref": "#/components/schemas/OCIDescriptor",
  "description": "OCI descriptor of the platform-specific manifest of the image\nthe container was created from.\n\nNote: Only available if the daemon provides a multi-platform\nimage store.\n\nThis field is not populated in the `GET /system/df` endpoint.\n",
  "x-nullable": true
}
Labels

Type: object

User-defined key/value metadata.
All schema constraints and annotations
{
  "additionalProperties": {
    "type": "string"
  },
  "description": "User-defined key/value metadata.",
  "example": {
    "com.example.license": "GPL",
    "com.example.vendor": "Acme",
    "com.example.version": "1.0"
  },
  "type": "object"
}
Mounts

Type: array

List of mounts used by the container.
Array item

Schema: MountPoint

All schema constraints and annotations
{
  "description": "List of mounts used by the container.",
  "items": {
    "$ref": "#/components/schemas/MountPoint"
  },
  "type": "array"
}
Names

Type: array

The names associated with this container. Most containers have a single name, but when using legacy "links", the container can have multiple names.

For historic reasons, names are prefixed with a forward-slash (/).

Array item

Type: string

All schema constraints and annotations
{
  "type": "string"
}
All schema constraints and annotations
{
  "description": "The names associated with this container. Most containers have a single\nname, but when using legacy \"links\", the container can have multiple\nnames.\n\nFor historic reasons, names are prefixed with a forward-slash (`/`).",
  "example": [
    "/funny_chatelet"
  ],
  "items": {
    "type": "string"
  },
  "type": "array"
}
NetworkSettings

Type: object

Summary of the container's network settings
Networks

Type: object

Summary of network-settings for each network the container is attached to.
All schema constraints and annotations
{
  "additionalProperties": {
    "$ref": "#/components/schemas/EndpointSettings"
  },
  "description": "Summary of network-settings for each network the container is\nattached to.",
  "type": "object"
}
All schema constraints and annotations
{
  "description": "Summary of the container's network settings",
  "properties": {
    "Networks": {
      "additionalProperties": {
        "$ref": "#/components/schemas/EndpointSettings"
      },
      "description": "Summary of network-settings for each network the container is\nattached to.",
      "type": "object"
    }
  },
  "type": "object"
}
Ports

Type: array

Port-mappings for the container.
Array item

Schema: PortSummary

All schema constraints and annotations
{
  "description": "Port-mappings for the container.",
  "items": {
    "$ref": "#/components/schemas/PortSummary"
  },
  "type": "array"
}
SizeRootFs

Type: integer

The total size of all files in the read-only layers from the image that the container uses. These layers can be shared between containers.

This field is omitted by default, and only set when size is requested in the API request.

All schema constraints and annotations
{
  "description": "The total size of all files in the read-only layers from the image\nthat the container uses. These layers can be shared between containers.\n\nThis field is omitted by default, and only set when size is requested\nin the API request.",
  "example": "1653948416",
  "format": "int64",
  "type": "integer",
  "x-nullable": true
}
SizeRw

Type: integer

The size of files that have been created or changed by this container.

This field is omitted by default, and only set when size is requested in the API request.

All schema constraints and annotations
{
  "description": "The size of files that have been created or changed by this container.\n\nThis field is omitted by default, and only set when size is requested\nin the API request.",
  "example": "122880",
  "format": "int64",
  "type": "integer",
  "x-nullable": true
}
State

Type: string

The state of this container.
All schema constraints and annotations
{
  "description": "The state of this container.\n",
  "enum": [
    "created",
    "running",
    "paused",
    "restarting",
    "exited",
    "removing",
    "dead"
  ],
  "example": "running",
  "type": "string"
}
Status

Type: string

Additional human-readable status of this container (e.g. Exit 0)
All schema constraints and annotations
{
  "description": "Additional human-readable status of this container (e.g. `Exit 0`)",
  "example": "Up 4 days",
  "type": "string"
}
All schema constraints and annotations
{
  "properties": {
    "Command": {
      "description": "Command to run when starting the container",
      "example": "/bin/bash",
      "type": "string"
    },
    "Created": {
      "description": "Date and time at which the container was created as a Unix timestamp\n(number of seconds since EPOCH).",
      "example": "1739811096",
      "format": "int64",
      "type": "integer"
    },
    "Health": {
      "description": "Summary of health status\n\nAdded in v1.52, before that version all container summary not include Health.\nAfter this attribute introduced, it includes containers with no health checks configured,\nor containers that are not running with none",
      "properties": {
        "FailingStreak": {
          "description": "FailingStreak is the number of consecutive failures",
          "example": 0,
          "type": "integer"
        },
        "Status": {
          "description": "the health status of the container",
          "enum": [
            "none",
            "starting",
            "healthy",
            "unhealthy"
          ],
          "example": "healthy",
          "type": "string"
        }
      },
      "type": "object"
    },
    "HostConfig": {
      "description": "Summary of host-specific runtime information of the container. This\nis a reduced set of information in the container's \"HostConfig\" as\navailable in the container \"inspect\" response.",
      "properties": {
        "Annotations": {
          "additionalProperties": {
            "type": "string"
          },
          "description": "Arbitrary key-value metadata attached to the container.",
          "example": {
            "io.kubernetes.docker.type": "container",
            "io.kubernetes.sandbox.id": "3befe639bed0fd6afdd65fd1fa84506756f59360ec4adc270b0fdac9be22b4d3"
          },
          "type": "object",
          "x-nullable": true
        },
        "NetworkMode": {
          "description": "Networking mode (`host`, `none`, `container:\u003cid\u003e`) or name of the\nprimary network the container is using.\n\nThis field is primarily for backward compatibility. The container\ncan be connected to multiple networks for which information can be\nfound in the `NetworkSettings.Networks` field, which enumerates\nsettings per network.",
          "example": "mynetwork",
          "type": "string"
        }
      },
      "type": "object"
    },
    "Id": {
      "description": "The ID of this container as a 128-bit (64-character) hexadecimal string (32 bytes).",
      "example": "aa86eacfb3b3ed4cd362c1e88fc89a53908ad05fb3a4103bca3f9b28292d14bf",
      "maxLength": 64,
      "minLength": 64,
      "pattern": "^[0-9a-fA-F]{64}$",
      "type": "string",
      "x-go-name": "ID"
    },
    "Image": {
      "description": "The name or ID of the image used to create the container.\n\nThis field shows the image reference as was specified when creating the container,\nwhich can be in its canonical form (e.g., `docker.io/library/ubuntu:latest`\nor `docker.io/library/ubuntu@sha256:72297848456d5d37d1262630108ab308d3e9ec7ed1c3286a32fe09856619a782`),\nshort form (e.g., `ubuntu:latest`)), or the ID(-prefix) of the image (e.g., `72297848456d`).\n\nThe content of this field can be updated at runtime if the image used to\ncreate the container is untagged, in which case the field is updated to\ncontain the the image ID (digest) it was resolved to in its canonical,\nnon-truncated form (e.g., `sha256:72297848456d5d37d1262630108ab308d3e9ec7ed1c3286a32fe09856619a782`).",
      "example": "docker.io/library/ubuntu:latest",
      "type": "string"
    },
    "ImageID": {
      "description": "The ID (digest) of the image that this container was created from.",
      "example": "sha256:72297848456d5d37d1262630108ab308d3e9ec7ed1c3286a32fe09856619a782",
      "type": "string"
    },
    "ImageManifestDescriptor": {
      "$ref": "#/components/schemas/OCIDescriptor",
      "description": "OCI descriptor of the platform-specific manifest of the image\nthe container was created from.\n\nNote: Only available if the daemon provides a multi-platform\nimage store.\n\nThis field is not populated in the `GET /system/df` endpoint.\n",
      "x-nullable": true
    },
    "Labels": {
      "additionalProperties": {
        "type": "string"
      },
      "description": "User-defined key/value metadata.",
      "example": {
        "com.example.license": "GPL",
        "com.example.vendor": "Acme",
        "com.example.version": "1.0"
      },
      "type": "object"
    },
    "Mounts": {
      "description": "List of mounts used by the container.",
      "items": {
        "$ref": "#/components/schemas/MountPoint"
      },
      "type": "array"
    },
    "Names": {
      "description": "The names associated with this container. Most containers have a single\nname, but when using legacy \"links\", the container can have multiple\nnames.\n\nFor historic reasons, names are prefixed with a forward-slash (`/`).",
      "example": [
        "/funny_chatelet"
      ],
      "items": {
        "type": "string"
      },
      "type": "array"
    },
    "NetworkSettings": {
      "description": "Summary of the container's network settings",
      "properties": {
        "Networks": {
          "additionalProperties": {
            "$ref": "#/components/schemas/EndpointSettings"
          },
          "description": "Summary of network-settings for each network the container is\nattached to.",
          "type": "object"
        }
      },
      "type": "object"
    },
    "Ports": {
      "description": "Port-mappings for the container.",
      "items": {
        "$ref": "#/components/schemas/PortSummary"
      },
      "type": "array"
    },
    "SizeRootFs": {
      "description": "The total size of all files in the read-only layers from the image\nthat the container uses. These layers can be shared between containers.\n\nThis field is omitted by default, and only set when size is requested\nin the API request.",
      "example": "1653948416",
      "format": "int64",
      "type": "integer",
      "x-nullable": true
    },
    "SizeRw": {
      "description": "The size of files that have been created or changed by this container.\n\nThis field is omitted by default, and only set when size is requested\nin the API request.",
      "example": "122880",
      "format": "int64",
      "type": "integer",
      "x-nullable": true
    },
    "State": {
      "description": "The state of this container.\n",
      "enum": [
        "created",
        "running",
        "paused",
        "restarting",
        "exited",
        "removing",
        "dead"
      ],
      "example": "running",
      "type": "string"
    },
    "Status": {
      "description": "Additional human-readable status of this container (e.g. `Exit 0`)",
      "example": "Up 4 days",
      "type": "string"
    }
  },
  "type": "object"
}